# $Revision: 1.18 $, $Date: 2009/01/21 20:16:27 $
Summary:	OpenSSL Tcl extension
Summary(pl.UTF-8):	Rozszerzenie OpenSSL dla Tcl
Name:		tcl-tls
Version:	1.6
Release:	1
License:	distributable
Group:		Development/Languages/Tcl
Source0:	http://dl.sourceforge.net/tls/tls%{version}-src.tar.gz
# Source0-md5:	eb326ff9e6fc3b9885aa5c72fb8df3bf
Patch0:		%{name}-load-ssl-config.patch
URL:		http://tls.sourceforge.net/
BuildRequires:	openssl-devel >= 0.9.7d
BuildRequires:	tcl-devel >= 8.4.3
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
TLS is an OpenSSL / RSA-bsafe Tcl extension that provides secure
connections on top of the Tcl socket mechanism. Within a few lines of
code, users can query HTTPS servers.

%description -l pl.UTF-8
TLS to rozszerzenie Tcl OpenSSL / RSA-bsafe, udostępniające bezpieczne
połączenia w oparciu o mechanizm gniazd Tcl. W kilku liniach kodu
można zmieścić zapytanie serwera HTTPS.

%prep
%setup -qn tls%{version}
%patch0 -p1

%build
%configure \
	--with-ssl-dir=/usr
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR="$RPM_BUILD_ROOT"

rm -f $RPM_BUILD_ROOT%{_includedir}/*

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README.txt license.terms
%dir %{_libdir}/tls%{version}
%attr(755,root,root) %{_libdir}/tls%{version}/lib*.so
%{_libdir}/tls%{version}/*.tcl

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: tcl-tls.spec,v $
Revision 1.18  2009/01/21 20:16:27  arekm
- up to 1.6

Revision 1.17  2007/04/25 21:06:59  arekm
- rel 4; fix version in pkgIndex; apply ssl engines patch (both from debian)

Revision 1.16  2007/02/12 22:09:17  glen
- tabs in preamble

Revision 1.15  2007/02/12 01:06:34  baggins
- converted to UTF-8

Revision 1.14  2006/11/05 09:18:10  twittner
- don't glob whole %%{_libdir} - it contains debug subdir.
  which should go into debuginfo subpackage

Revision 1.13  2006/08/09 06:56:29  arekm
- rel 2

Revision 1.12  2004/12/30 23:25:21  charles
- updated to 1.5.0

Revision 1.11  2004/10/29 09:27:53  paladine
- "HTTP" and "HTTPS" unification

Revision 1.10  2004/03/19 23:46:38  ankry
- massive change: BR openssl-devel >= 0.9.7d

Revision 1.9  2003/09/30 20:18:35  eothane
- ahh, what the hell: openssl 0.9.7c

Revision 1.8  2003/06/11 07:25:49  wiget
- rebuild with tcl 8.4.3

Revision 1.7  2003/06/07 09:13:16  wiget
- rebuild with fixed tcl (soname fix)

Revision 1.6  2003/05/28 13:02:11  malekith
- massive attack: source-md5

Revision 1.5  2003/05/25 06:27:12  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.4  2003/03/12 09:54:55  qboosh
- working Source URL, minor fixes where needed

Revision 1.3  2003/02/13 14:06:54  juandon
- force to use openssl >= 0.9.7, idea by kloczek

Revision 1.2  2003/01/19 22:21:20  qboosh
- pl description, removed changelog from tk-BWidget.spec used as template

Revision 1.1  2003/01/11 17:18:55  jajcus
- inital spec
